Index: Build
===================================================================
RCS file: Build
diff -N Build
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Build	23 Feb 2005 17:03:38 -0000	1.3
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+source ../../Config.sh
+
+pp_build_local () {
+    make PEPPERCON_config && make install
+}
+
+pp_do "$@"
Index: Makefile
===================================================================
RCS file: /srv/CVS/pplinux/u-boot/Makefile,v
retrieving revision 1.1.333.1
retrieving revision 1.3
diff -u -r1.1.333.1 -r1.3
--- Makefile	3 Feb 2005 09:43:11 -0000	1.1.333.1
+++ Makefile	23 Feb 2005 17:03:38 -0000	1.3
@@ -21,6 +21,9 @@
 # MA 02111-1307 USA
 #
 
+USE_REAL_CROSS = 1
+include ../../Config.mk
+
 HOSTARCH := $(shell uname -m | \
 	sed -e s/i.86/i386/ \
 	    -e s/sun4u/sparc64/ \
@@ -75,25 +78,26 @@
 endif
 endif
 
+CROSS_COMPILE = $(CROSS)
+
 export	CROSS_COMPILE
 
 # The "tools" are needed early, so put this first
 SUBDIRS	= tools \
-	  examples \
 	  lib_generic \
 	  lib_$(ARCH) \
 	  cpu/$(CPU) \
 	  board/$(BOARDDIR) \
 	  common \
-	  disk \
-	  fs \
 	  net \
 	  rtc \
-	  dtt \
 	  drivers \
-	  drivers/sk98lin \
 	  post \
 	  post/cpu
+#	 fs \
+#	 disk \
+#	 dtt \
+#	 drivers/sk98lin
 
 #########################################################################
 # U-Boot objects....order is important (i.e. start must be first)
@@ -113,18 +117,18 @@
 LIBS  =	board/$(BOARDDIR)/lib$(BOARD).a
 LIBS += cpu/$(CPU)/lib$(CPU).a
 LIBS += lib_$(ARCH)/lib$(ARCH).a
-LIBS += fs/jffs2/libjffs2.a fs/fdos/libfdos.a fs/fat/libfat.a
+#LIBS += fs/jffs2/libjffs2.a fs/fdos/libfdos.a fs/fat/libfat.a
 LIBS += net/libnet.a
-LIBS += disk/libdisk.a
+#LIBS += disk/libdisk.a
 LIBS += rtc/librtc.a
-LIBS += dtt/libdtt.a
+#LIBS += dtt/libdtt.a
 LIBS += drivers/libdrivers.a
-LIBS += drivers/sk98lin/libsk98lin.a
+#LIBS += drivers/sk98lin/libsk98lin.a
 LIBS += post/libpost.a post/cpu/libcpu.a
 LIBS += common/libcommon.a
 LIBS += lib_generic/libgeneric.a
 # Add GCC lib
-PLATFORM_LIBS += -L $(shell dirname `$(CC) $(CFLAGS) -print-libgcc-file-name`) -lgcc
+#PLATFORM_LIBS += -L $(shell dirname `$(CC) $(CFLAGS) -print-libgcc-file-name`) -lgcc
 
 #########################################################################
 #########################################################################
@@ -133,6 +137,39 @@
 
 all:		$(ALL)
 
+install: all
+ifeq ($(PP_PRODUCTION),1)
+
+# PP_PRODUCTION
+
+  ifeq ($(PP_BOARD),lara)
+    ifeq ($(PP_SUBBOARD),none)
+	cp -f u-boot.bin /tftpboot/u-boot.lara.prod
+    else
+	cp -f u-boot.bin /tftpboot/u-boot.lara.$(PP_SUBBOARD).prod
+    endif
+  else
+    ifeq ($(PP_BOARD),eric)
+	cp -f u-boot.bin /tftpboot/u-boot.eric.prod
+    endif
+  endif
+
+else
+
+# ! PP_PRODUCTION
+	cp -f u-boot.bin /tftpboot/u-boot.$(PP_BOARD).$(PP_SUBBOARD).$(USER)
+
+  ifeq ($(PP_BUILD_TYPE),final)
+	cp -f u-boot.bin $(FW_TOPDIR)/mkfirmware/
+  endif
+
+endif
+
+pp_have_405ep:
+		@$(CPP) -dM $(CPPFLAGS) include/config.h | \
+		  grep '^#.*define.*CONFIG_405EP.*1$$' > /dev/null && \
+		  echo 1 || echo 0
+
 u-boot.srec:	u-boot
 		$(OBJCOPY) ${OBJCFLAGS} -O srec $< $@
 
@@ -179,7 +216,7 @@
 
 #########################################################################
 else
-all install u-boot u-boot.srec depend dep:
+all install u-boot u-boot.srec depend dep pp_have_405ep:
 	@echo "System not configured - see README" >&2
 	@ exit 1
 endif
@@ -530,8 +567,8 @@
 EBONY_config:unconfig
 	@./mkconfig $(@:_config=) ppc ppc4xx ebony
 
-ERIC_config:unconfig
-	@./mkconfig $(@:_config=) ppc ppc4xx eric
+PEPPERCON_config:unconfig
+	@./mkconfig $(@:_config=) ppc ppc4xx peppercon
 
 EXBITGEN_config:unconfig
 	@./mkconfig $(@:_config=) ppc ppc4xx exbitgen
Index: config.mk
===================================================================
RCS file: /srv/CVS/pplinux/u-boot/config.mk,v
retrieving revision 1.1.333.1
retrieving revision 1.3
diff -u -r1.1.333.1 -r1.3
--- config.mk	3 Feb 2005 09:43:11 -0000	1.1.333.1
+++ config.mk	23 Feb 2005 17:03:38 -0000	1.3
@@ -23,6 +23,9 @@
 
 #########################################################################
 
+USE_REAL_CROSS = 1
+include $(TOPDIR)/../../Config.mk
+
 # clean the slate ...
 PLATFORM_RELFLAGS =
 PLATFORM_CPPFLAGS =
@@ -99,7 +102,7 @@
 RANLIB	= $(CROSS_COMPILE)RANLIB
 
 RELFLAGS= $(PLATFORM_RELFLAGS)
-DBGFLAGS= -g #-DDEBUG
+DBGFLAGS= #-g -DDEBUG
 OPTFLAGS= -Os #-fomit-frame-pointer
 ifndef LDSCRIPT
 #LDSCRIPT := $(TOPDIR)/board/$(BOARDDIR)/u-boot.lds.debug
@@ -111,9 +114,9 @@
 
 CPPFLAGS := $(DBGFLAGS) $(OPTFLAGS) $(RELFLAGS)		\
 	-D__KERNEL__ -DTEXT_BASE=$(TEXT_BASE)		\
-	-I$(TOPDIR)/include				\
+	-I$(TOPDIR)/include -I$(TOPDIR)/board/$(BOARD)	\
 	-fno-builtin -ffreestanding -nostdinc -isystem	\
-	$(gccincdir) -pipe $(PLATFORM_CPPFLAGS)
+	$(gccincdir) -pipe $(PLATFORM_CPPFLAGS) $(FW_CPPFLAGS)
 
 ifdef BUILD_TAG
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes \
@@ -121,11 +124,14 @@
 else
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes
 endif
+# We put ech function and variable in its own section. The linker throws
+# all unused stuff away later if called with --gc-sections
+CFLAGS += -fdata-sections -ffunction-sections -Werror
 
 AFLAGS_DEBUG := -Wa,-gstabs
 AFLAGS := $(AFLAGS_DEBUG) -D__ASSEMBLY__ $(CPPFLAGS)
 
-LDFLAGS += -Bstatic -T $(LDSCRIPT) -Ttext $(TEXT_BASE) $(PLATFORM_LDFLAGS)
+LDFLAGS += -Bstatic -T $(LDSCRIPT) -Ttext $(TEXT_BASE) $(PLATFORM_LDFLAGS) --cref --gc-sections
 
 # Location of a usable BFD library, where we define "usable" as
 # "built for ${HOST}, supports ${TARGET}".  Sensible values are
Index: board/peppercon/Makefile
===================================================================
RCS file: board/peppercon/Makefile
diff -N board/peppercon/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ board/peppercon/Makefile	3 Feb 2005 10:35:41 -0000	1.1
@@ -0,0 +1,47 @@
+#
+# (C) Copyright 2000
+# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
+#
+# See file CREDITS for list of people who contributed to this
+# project.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+# MA 02111-1307 USA
+#
+
+include $(TOPDIR)/config.mk
+
+LIB	= lib$(BOARD).a
+
+OBJS	= $(BOARD).o strataflash.o
+SOBJS	= init.o
+
+$(LIB):	$(OBJS) $(SOBJS)
+	$(AR) crv $@ $^
+
+clean:
+	rm -f $(SOBJS) $(OBJS)
+
+distclean:	clean
+	rm -f $(LIB) core *.bak .depend
+
+#########################################################################
+
+.depend:	Makefile $(SOBJS:.o=.S) $(OBJS:.o=.c)
+		$(CC) -M $(CFLAGS) $(SOBJS:.o=.S) $(OBJS:.o=.c) > $@
+
+sinclude .depend
+
+#########################################################################
Index: board/peppercon/config.mk
===================================================================
RCS file: board/peppercon/config.mk
diff -N board/peppercon/config.mk
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ board/peppercon/config.mk	3 Feb 2005 10:35:41 -0000	1.1
@@ -0,0 +1,31 @@
+#
+# (C) Copyright 2000
+# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
+#
+# See file CREDITS for list of people who contributed to this
+# project.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+# MA 02111-1307 USA
+#
+
+#
+# esd ADCIOP boards
+#
+
+#TEXT_BASE = 0xFFF80000
+#TEXT_BASE = 0xFFFC0000
+TEXT_BASE = 0xFFFE0000
+OBJCFLAGS = --set-section-flags=.ppcenv=contents,alloc,load,data
